Summary:		CORBA Object Request Broker for GNOME-1 compatibility
Name:			ORBit
Version:		0.5.17
Release:		28%{?dist}
Epoch:			1
URL:			http://orbit-resource.sourceforge.net/
Source:			http://ftp.acc.umu.se/pub/gnome/sources/ORBit/0.5/ORBit-0.5.17.tar.bz2 
Patch0:			ORBit-0.5.17-aligned-access.patch
Patch1:			ORBit-underquoted.patch
Patch2:			ORBit-0.5.17-IIOP-weak-symbols.patch
Patch3:			ORBit-0.5.17-multiarch.patch
Patch4:			ORBit-0.5.17-non-weak-symbols.patch
Group:			System Environment/Daemons
License:		LGPLv2+ and GPLv2+
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		flex, gettext, glib-devel%{?_isa}, /usr/include/tcpd.h, pkgconfig, libtool

# Test code in built-in popt library is built statically.
# Using system popt library would be highly likely to introduce regressions in this
# ancient piece of legacy code.
%if 0%{?fedora} > 10
BuildRequires:		glibc-static%{?_isa}
%endif

Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info

%description
ORBit is a high-performance CORBA (Common Object Request Broker Architecture)
ORB (object request broker). It allows programs to send requests and receive
replies from other programs, regardless of the locations of the two programs.
CORBA is an architecture that enables communication between program objects,
regardless of the programming language they are written in or the operating
system they run on.

This package is provided for compatibility with GNOME-1 applications.

%package devel
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/Libraries
Requires:	indent
Requires:	glib-devel%{?_isa}
Requires:	ORBit%{?_isa} = %{epoch}:%{version}-%{release}
Requires:	pkgconfig

# For ownership of %{_datadir}/aclocal
Requires:	automake

%description devel
ORBit is a high-performance CORBA (Common Object Request Broker Architecture)
ORB (object request broker) with support for the C language.

This package contains the header files, libraries, and utilities necessary to
build programs that use the ORBit library. It is provided for compatibility
with GNOME-1 applications.

%prep
%setup -q
%patch0 -p1 -b .aligned
%patch1 -p1 -b .underquoted
%patch2 -p1 -b .iiop-non-weak-symbols
%patch3 -p1 -b .multiarch
%patch4 -p1 -b .non-weak-symbols

%build
%configure

# Kill bogus RPATHs
%{__sed} -i 's|^sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/%{_lib} %{_libdir}|' libtool

# %{?_smp_mflags} removed at release 1:0.5.17-10.2
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install

# remove unpackaged files
%{__rm} -f %{buildroot}%{_bindir}/ior-decode
%{__rm} -f %{buildroot}%{_bindir}/old-name-server
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -f %{buildroot}%{_libdir}/lib{IDL,IIOP,ORBit,ORBitCosNaming,ORBitutil}.a
%{__rm} -f %{buildroot}%{_datadir}/idl/orbit-1.0/*
%{__rm} -f %{buildroot}%{_datadir}/info/dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libIDL.info.gz %{_infodir}/dir || :

%preun devel
[ $1 = 0 ] && /sbin/install-info --delete %{_infodir}/libIDL.info.gz %{_infodir}/dir || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc libIDL/COPYING libIDL/ChangeLog libIDL/AUTHORS
%doc libIDL/README libIDL/NEWS libIDL/BUGS libIDL/tstidl.c
# GPLv2+
%{_bindir}/name-client
%{_bindir}/orbit-name-server
%{_bindir}/orbit-event-server
%{_bindir}/orbit-ird
# LGPLv2+
%{_libdir}/libIDL-0.6.so.*
%{_libdir}/libIIOP.so.*
%{_libdir}/libORBit.so.*
%{_libdir}/libORBitCosNaming.so.*
%{_libdir}/libORBitutil.so.*

%files devel
%defattr(-,root,root,-)
# GPLv2+
%{_bindir}/orbit-idl
# LGPLv2+
%{_bindir}/libIDL-config
%{_bindir}/orbit-config
%{_includedir}/libIDL-1.0/
%{_includedir}/orbit-1.0/
%{_infodir}/libIDL.info.gz
%{_libdir}/libIDL.so
%{_libdir}/libIDLConf.sh
%{_libdir}/libIIOP.so
%{_libdir}/libORBit.so
%{_libdir}/libORBitCosNaming.so
%{_libdir}/libORBitutil.so
%{_libdir}/libname-server.a
%{_libdir}/liborbit-c-backend.a
%{_libdir}/pkgconfig/ORBit.pc
%{_libdir}/pkgconfig/libIDL.pc
%{_datadir}/aclocal/ORBit.m4
%{_datadir}/aclocal/libIDL.m4

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.5.17-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.5.17-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr  9 2009 Paul Howarth <paul@city-fan.org> 1:0.5.17-26
- Fix undefined non-weak symbols in libORBit and libORBitCosNaming
- Use an alternative approach to rpath-fixing - hacking the supplied libtool
  rather than trying to use the system one

* Tue Feb 24 2009 Paul Howarth <paul@city-fan.org> 1:0.5.17-25
- Specify Instruction Set Architecture (%%{?_isa}) in devel package requires
- Buildreq glibc-static for test code in bundled popt library (F-11 onwards)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.5.17-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Paul Howarth <paul@city-fan.org> 1:0.5.17-23
- Rebuild with gcc 4.3.0 for Fedora 9

* Thu Oct 25 2007 Paul Howarth <paul@city-fan.org> 1:0.5.17-22
- Fix multiarch conflicts in -config scripts (#342801)
- Clarify licensing (libs LGPLv2+, binaries GPLv2+)
- Preserve timestamps for files copied from source into installed package
- Build and install using system libtool to avoid bogus rpath on 64-bit arches

* Thu Apr 19 2007 Paul Howarth <paul@city-fan.org> 1:0.5.17-21
- Buildreq pkgconfig, because EL5's glib-devel should require it but doesn't
- Use file-based build dependency on /usr/include/tcpd.h instead of
  tcp_wrappers package, since some distributions have this file in
  tcp_wrappers-devel

* Thu Oct 26 2006 Paul Howarth <paul@city-fan.org> 1:0.5.17-20
- Don't let the scriptlets "fail"

* Mon Aug 28 2006 Paul Howarth <paul@city-fan.org> 1:0.5.17-19
- Fix undefined non-weak symbols in libIIOP.so (#202328)

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 1:0.5.17-18
- Add automake and pkgconfig as deps of devel subpackage (#198246)

* Fri Jul  7 2006 Paul Howarth <paul@city-fan.org> 1:0.5.17-17
- Change summary to indicate that this package is for GNOME-1 compatibility
- Add %%{?dist} tag
- Use Fedora Extras standard buildroot
- Replace PreReq: /sbin/install-info with proper scriptlet dependencies
- Change URL to something that's not 404
- Wrap package descriptions at 80 columns and add notes about the package being
  provided for GNOME-1 compatibility
- Don't use deprecated %%makeinstall macro
- Don't include libIDL/README.win32
- Use fewer globs in the %%files list for this legacy package
- Separate off libIDL docs into their own directory
- Include release number in fully-versioned dependency from devel to main pkg
- Add buildreqs flex and gettext
- Reinstate static libraries that have no dynamic equivalent
- Minor cosmetic changes to spec file

* Mon Mar 20 2006 Matthias Clasen <mclasen@redhat.com> - 1:0.5.17-16
- Fix source URL
- Don't ship static libraries

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 1:0.5.17-15.2.2
- rebump for build order issues during double-long bump

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.5.17-15.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.5.17-15.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 1:0.5.17-15
- Rebuild with gcc4

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1:0.5.17-14
- Fixed another m4 warning.

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 1:0.5.17-13
- Fixed warnings in shipped m4 file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 23 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-10.4
- rebuild

* Mon Jun  9 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-10.2
- try removing smp_mflags

* Fri Jun  6 2003 Tim Powers <timp@redhat.com> 1:0.5.17-10.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Havoc Pennington <hp@redhat.com> 1:0.5.17-9
- a rebuild, to see if it rebuilds

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 1:0.5.17-8
- added ORBit-0.5.17-aligned-access.patch to fix accesses on some
  non-ia32 architectures (#86347)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 23 2003 Tim Powers <timp@redhat.com> 1:0.5.17-6
- add buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- mainframe builds with normal optims again for mainframe

* Thu Nov 21 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- set optflags to "-O0" for mainframe

* Sat Oct 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.5.17
- fix to include all files in the build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild to see if gcc still doesn't work

* Thu May 16 2002 Alex Larsson <alexl@redhat.com>
- Rebuild

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- change invocation of auto* such that it will kill the build if it fails
- comment out invocation of auto*, it seems to be pointless

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- backport to Hampton
- don't invoke autoheader, seems to cause confusion
- don't run strip manually, let RPM deal with it

* Fri Feb  8 2002 Havoc Pennington <hp@redhat.com>
- 0.5.13

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- fix for automake14

* Tue Nov  6 2001 Jeremy Katz <katzj@redhat.com>
- 0.5.12

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.5.10

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new CVS snap

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot with headers moved

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 25 2000 Elliot Lee <sopwith@redhat.com>
- 0.5.3

* Wed Jul 19 2000 Jonathan Blandford <jrb@redhat.com>
- fixed to work with new cpp.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.2 - a bug fix release.

* Tue Jun 27 2000 Havoc Pennington <hp@redhat.com>
- Trying to build the package for Preston and the build
  system wants a new changelog entry

* Sat Jun 24 2000 Preston Brown <pbrown@redhat.com>
- defattr the devel pkg
- FHS paths

* Fri May 19 2000 Jonathan Blandford <jrb@redhat.com>
- Upgraded to 0.5.1

* Tue Feb  3 2000 Elliot Lee <sopwith@redhat.com> 0.5.0-3
- Strip shared libraries

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com> 0.4.94-1
- Spec file fixes from RHL 6.0.

* Wed Jun 2 1999  Jose Mercado <jmercado@mit.edu>
- Fixed configure.in so spec.in could be used.

* Mon Nov 23 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- improved %%files section, and added use of %%{prefix} and install-info
  (well,... no. The info file has not dir info inside, commented out)
